<?php
declare(strict_types=1);

namespace Catequil\ORM\Container;

use Laminas\ServiceManager\Factory\FactoryInterface;
use Psr\Cache\CacheItemPoolInterface;
use Psr\Container\ContainerInterface;
use Symfony\Component\Cache\Adapter\ArrayAdapter;

/**
 * Class OrmCacheFactory
 *
 * @package Catequil\ORM\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-orm
 */
final class OrmCacheFactory implements FactoryInterface
{
    /**
     * @param ContainerInterface $container
     * @param $requestedName
     * @param array|null $options
     *
     * @return CacheItemPoolInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, ?array $options = null): CacheItemPoolInterface
    {
        return new ArrayAdapter();
    }
}
