<?php
declare(strict_types=1);

namespace CatequilTest\ORM\Container;

use Catequil\ORM\Container\EntityManagerFactory;
use CatequilTest\ORM\AbstractTestCase;
use Doctrine\ORM\EntityManager;
use Doctrine\ORM\EntityManagerInterface;
use Psr\Container\ContainerExceptionInterface;
use Psr\Container\NotFoundExceptionInterface;

/**
 * Class EntityManagerFactoryTest
 *
 * @package CatequilTest\ORM\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-orm
 */
final class EntityManagerFactoryTest extends AbstractTestCase
{
    /**
     * @return void
     *
     * @throws ContainerExceptionInterface
     * @throws NotFoundExceptionInterface
     */
    public function testCanCreateTheManager(): void
    {
        $container = self::getContainer([
            'development' => true,
        ]);
        $factory = new EntityManagerFactory();

        /** @var EntityManager $em */
        $em = $factory($container, '');

        self::assertInstanceOf(EntityManagerInterface::class, $em);
    }
}
