<?php
declare(strict_types=1);

namespace CatequilTest\ORM\Entity;

use Catequil\Core\Mapping\HasInputFilter;
use CatequilTest\ORM\InputFilter\CustomInputFilter;
use CatequilTest\ORM\Repository\CustomRepository;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\GeneratedValue;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

#[Entity(CustomRepository::class)]
#[Table('custom')]
#[HasInputFilter(CustomInputFilter::class)]
class CustomEntity
{
    #[Id]
    #[GeneratedValue('AUTO')]
    #[Column(type: Types::BIGINT, options: ['unsigned' => true])]
    protected ?int $id = null;
    #[Column(type: Types::STRING)]
    protected string $name = '';
}
