<?php
declare(strict_types=1);

namespace CatequilTest\ORM\Repository;

use CatequilTest\ORM\AbstractTestCase;
use CatequilTest\ORM\Entity\CustomEntity;
use CatequilTest\ORM\Entity\TestEntity;
use CatequilTest\ORM\InputFilter\CustomInputFilter;
use Laminas\InputFilter\InputFilterAwareInterface;
use Laminas\InputFilter\InputFilterInterface;

/**
 * Class RepositoryFactoryTest
 *
 * @package CatequilTest\ORM\Repository
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-orm
 */
final class RepositoryFactoryTest extends AbstractTestCase
{
    public function testWillInjectInputFilterIfRepositoryAware()
    {
        $em = self::getEntityManager();
        /** @var CustomRepository $repo */
        $repo = $em->getRepository(CustomEntity::class);

        self::assertInstanceOf(InputFilterAwareInterface::class, $repo);
        self::assertInstanceOf(InputFilterInterface::class, $repo->getInputFilter());
    }
}
