<?php
declare(strict_types=1);

namespace CatequilTest\ORM;

use Catequil\ORM\ConfigProvider;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ServiceManager\ServiceManager;

$mergedConfig = (new ConfigAggregator([
    \Laminas\Filter\ConfigProvider::class,
    \Laminas\InputFilter\ConfigProvider::class,
    \Catequil\Cli\ConfigProvider::class,
    \Catequil\Db\ConfigProvider::class,
    ConfigProvider::class,

    new ArrayProvider([
        'dependencies' => [
            'abstract_factories' => [

            ],
        ],
        'input_filters' => [
            'aliases' => [
                Entity\CustomEntity::class => InputFilter\CustomInputFilter::class,
            ],
            'invokables' => [
                InputFilter\CustomInputFilter::class,
            ],
        ],
    ]),
    new ArrayProvider($config ?? []),
]))->getMergedConfig();

$mergedConfig['dependencies']['services']['config'] = $mergedConfig;
return new ServiceManager($mergedConfig['dependencies']);
